Landshark Information Technology

Vulnerability in WPA2 disclosed that affects most implementations

A vulnerability has been published in the popular WPA2 protocol that is ubiquitously used to encrypt wireless data. This vulnerability allows an attacker performing a Man-in-the-Middle attack to force devices to reuse a known key. All modern wireless devices are affected. There are updates and patches currently coming out from companies to address the issue. So long as either client (phone, ipad, laptop, etc) or router (access point, etc.) are patched the vulnerability no longer works and both are protected in the exchange. 

 

Sources:

https://www.krackattacks.com/

https://papers.mathyvanhoef.com/ccs2017.pdf

Sign up for our newsletter!